# - Find Python-a-mingw-us installation
#
# The following are set after the configuration is done:
#
# PYMINGWLIBS_FOUND        - has the python installation been found
# PYMINGWLIBS_LIBRARIES    - path to the python library
# PYMINGWLIBS_INCLUDE_DIRS - The path to Python.h
#

# Generate a list of known installation paths
list( APPEND PYMINGW_SEARCH_PATH C:/python/2.7.4 )

if( PYMINGW_ROOT )
    list( APPEND PYMINGW_SEARCH_PATH ${PYMINGW_ROOT} )
endif( )

find_library( PYMINGWLIBS_LIBRARIES
        NAMES python2.7
        PATHS ${PYMINGW_SEARCH_PATH}
        NO_DEFAULT_PATH )

find_path( PYMINGWLIBS_INCLUDE_DIRS
    NAMES Python.h
    PATHS ${PYMINGW_SEARCH_PATH}/include )

include( ${CMAKE_CURRENT_LIST_DIR}/FindPackageHandleStandardArgs.cmake )
find_package_handle_standard_args( PyMingwLibs DEFAULT_MSG PYMINGWLIBS_LIBRARIES PYMINGWLIBS_INCLUDE_DIRS )
