#
# Part of the wxWidgets-CMake project
#
# (c)2013 Brian Sidebotham
#
# Provided under the wxWindows licence
# http://opensource.org/licenses/wxwindows.php
# A copy of the licence can also be found in the LICENCE file
#

string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXUNICODE@@WXBUILD@_adv" WXADVNAME_A )
set( WXADVNAME ${WXADVNAME_A} )

if( BUILD_SHARED_LIBS )
    string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXVERSION_RELEASE@@WXUNICODE@@WXBUILD@_adv_@WXCOMPILER@@WXFLAVOUR@" WXADVNAME )
endif()

set( WXADV_COMMON_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/animatecmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/bmpcboxcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/calctrlcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/datavcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/gridcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/hyperlnkcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/odcombocmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/richtooltipcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/aboutdlgg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/bannerwindow.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/bmpcboxg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/calctrlg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/commandlinkbuttong.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/datavgen.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/datectlg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/editlbox.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/grid.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/gridctrl.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/grideditors.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/gridsel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/helpext.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/hyperlinkg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/laywin.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/notifmsgg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/odcombo.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/propdlg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/richtooltipg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/sashwin.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/splash.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/timectrlg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/tipdlg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/treelist.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/wizard.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/taskbarcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/animateg.cpp )

if( WIN32 OR MINGW )
    set( WXADV_MACH_SOURCES
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dummy.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/aboutdlg.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/notifmsg.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/richtooltip.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/sound.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/taskbar.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/joystick.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/bmpcbox.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/calctrl.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/commandlinkbutton.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/datecontrols.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/datectrl.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/datetimectrl.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/hyperlink.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/timectrl.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/version.rc )
endif()

if( NOT WXMONOLITHIC )

    message( STATUS "Adv Library ${WXADVNAME} will be built" )

    add_library( adv ${WXADV_COMMON_SOURCES} ${WXADV_MACH_SOURCES} )

    add_target_definition( adv WXMAKINGDLL_ADV )

    if( BUILD_SHARED_LIBS )
        add_target_definition( adv WXUSINGDLL )
    endif()

    set_target_properties( adv
        PROPERTIES
        COMPILE_DEFINITIONS "${adv_DEFINES};${WXLIB_DEFINES}"
        RUNTIME_OUTPUT_NAME "${WXADVNAME}"
        LIBRARY_OUTPUT_NAME "${WXADVNAME}"
        ARCHIVE_OUTPUT_NAME "${WXADVNAME_A}"
        PREFIX "" )

    target_link_libraries( adv
        ${LINKFLAGS}
        ${REQUIRED_LIBS}
        core
        base )

endif()
