#
# Part of the wxWidgets-CMake project
#
# (c)2013 Brian Sidebotham
#
# Provided under the wxWindows licence
# http://opensource.org/licenses/wxwindows.php
# A copy of the licence can also be found in the LICENCE file
#

string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXUNICODE@@WXBUILD@_aui" WXAUINAME_A )
set( WXAUINAME ${WXAUINAME_A} )

if( BUILD_SHARED_LIBS )
    string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXVERSION_RELEASE@@WXUNICODE@@WXBUILD@_aui_@WXCOMPILER@@WXFLAVOUR@" WXAUINAME )
endif()

set( WXAUI_COMMON_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dummy.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/aui/framemanager.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/aui/dockart.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/aui/floatpane.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/aui/auibook.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/aui/auibar.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/aui/tabmdi.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/aui/tabart.cpp )

if( WIN32 OR MINGW )
    set( WXAUI_MACH_SOURCES
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/version.rc )
endif()

if( NOT WXMONOLITHIC )

    message( STATUS "AUI Library ${WXAUINAME} will be built" )

    add_library( aui ${WXAUI_COMMON_SOURCES} ${WXAUI_MACH_SOURCES} )

    add_target_definition( aui WXMAKINGDLL_AUI )

    if( BUILD_SHARED_LIBS )
        add_target_definition( aui WXUSINGDLL )
    endif()

    set_target_properties( aui
        PROPERTIES
        COMPILE_DEFINITIONS "${aui_DEFINES};${WXLIB_DEFINES}"
        RUNTIME_OUTPUT_NAME "${WXAUINAME}"      # .dll
        LIBRARY_OUTPUT_NAME "${WXAUINAME}"      # .so
        ARCHIVE_OUTPUT_NAME "${WXAUINAME_A}"    # .a including .dll.a
        PREFIX "" )

    target_link_libraries( aui
        ${LINKFLAGS}
        ${REQUIRED_LIBS}
        adv
        core
        base )
endif()
