#
# Part of the wxWidgets-CMake project
#
# (c)2013 Brian Sidebotham
#
# Provided under the wxWindows licence
# http://opensource.org/licenses/wxwindows.php
# A copy of the licence can also be found in the LICENCE file
#

string( CONFIGURE "wxbase@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXUNICODE@@WXBUILD@" WXBASENAME_A )
set( WXBASENAME ${WXBASENAME_A} )

if( BUILD_SHARED_LIBS )
    string( CONFIGURE "wxbase@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXVERSION_RELEASE@@WXUNICODE@@WXBUILD@_@WXCOMPILER@@WXFLAVOUR@" WXBASENAME )
endif()

# As the base library consists of three components in total, make sure there
# is an easy target to build the lot
add_custom_target( base_all )

set( WXBASE_COMMON_SOURCES
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dummy.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/any.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/appbase.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/arcall.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/arcfind.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/archive.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/arrstr.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/base64.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/clntdata.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/cmdline.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/config.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/convauto.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/datetime.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/datetimefmt.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/datstrm.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dircmn.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dynarray.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dynlib.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dynload.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/encconv.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/evtloopcmn.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/extended.c
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/ffile.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/file.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/fileback.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/fileconf.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/filefn.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/filename.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/filesys.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/filtall.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/filtfind.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/fmapbase.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/fs_arc.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/fs_filter.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/hash.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/hashmap.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/init.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/intl.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/ipcbase.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/languageinfo.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/list.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/log.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/longlong.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/memory.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/mimecmn.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/module.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/mstream.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/numformatter.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/object.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/platinfo.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/powercmn.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/process.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/regex.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/stdpbase.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/sstream.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/stdstream.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/stopwatch.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/strconv.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/stream.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/string.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/stringimpl.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/stringops.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/strvararg.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/sysopt.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/tarstrm.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/textbuf.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/textfile.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/time.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/timercmn.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/timerimpl.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/tokenzr.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/translation.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/txtstrm.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/unichar.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/uri.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/ustring.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/variant.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/wfstream.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/wxcrt.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/wxprintf.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/xlocale.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/xti.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/xtistrm.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/zipstrm.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/zstream.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/fswatchercmn.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/event.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/fs_mem.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/msgout.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/utilscmn.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/fswatcherg.cpp
    )


if( WIN32 OR MINGW )
    set( WXBASE_MACH_SOURCES
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/version.rc
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/basemsw.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/crashrpt.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/debughlp.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/dde.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/dir.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/dlmsw.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/mimetype.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/power.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/regconf.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/registry.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/snglinst.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/stackwalk.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/stdpaths.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/thread.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/timer.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/utils.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/utilsexc.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/fswatcher.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/main.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/mslu.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/volume.cpp
        )

    if( WXVERSION_FULL VERSION_GREATER 2.9.4.0 )

        set( WXBASE_MACH_SOURCES ${WXBASE_MACH_SOURCES}
            ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/evtloopconsole.cpp )

    else()

        set( WXBASE_MACH_SOURCES ${WXBASE_MACH_SOURCES}
            ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/evtloop.cpp )

    endif()

endif()

if( NOT WXMONOLITHIC )

    message( STATUS "Base Library ${WXBASENAME} will be built" )

    add_library( base ${WXBASE_COMMON_SOURCES} ${WXBASE_MACH_SOURCES} )

    add_target_definition( base WXMAKINGDLL_BASE )
    add_target_definition( base wxUSE_GUI=0 )
    add_target_definition( base wxUSE_BASE=1 )

    set_target_properties( base
        PROPERTIES
        COMPILE_DEFINITIONS "${base_DEFINES};${WXLIB_DEFINES}"
        RUNTIME_OUTPUT_NAME "${WXBASENAME}"
        LIBRARY_OUTPUT_NAME "${WXBASENAME}"
        ARCHIVE_OUTPUT_NAME "${WXBASENAME_A}"
        PREFIX "" )

    target_link_libraries( base
        ${LINKFLAGS}
        ${REQUIRED_LIBS} )

endif()
