#
# Part of the wxWidgets-CMake project
#
# (c)2013 Brian Sidebotham
#
# Provided under the wxWindows licence
# http://opensource.org/licenses/wxwindows.php
# A copy of the licence can also be found in the LICENCE file
#

string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXUNICODE@@WXBUILD@_core" WXCORENAME_A )
set( WXCORENAME ${WXCORENAME_A} )

if( BUILD_SHARED_LIBS )
    string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXVERSION_RELEASE@@WXUNICODE@@WXBUILD@_core_@WXCOMPILER@@WXFLAVOUR@" WXCORENAME )
endif()

set( WXCORE_COMMON_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dummy.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/event.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/fs_mem.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/msgout.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/utilscmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/clrpickerg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/collpaneg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/filepickerg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/fontpickerg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/statusbr.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/prntdlgg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/accelcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/accesscmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/anidecod.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/affinematrix2d.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/appcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/artprov.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/artstd.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/arttango.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/bmpbase.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/bmpbtncmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/bookctrl.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/btncmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/cairo.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/checkboxcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/checklstcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/choiccmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/clipcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/clrpickercmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/colourcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/colourdata.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/combocmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/cmdproc.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/cmndata.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/containr.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/cshelp.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/ctrlcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/ctrlsub.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dcbase.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dcbufcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dcgraph.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dcsvg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dirctrlcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dlgcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dndcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dobjcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/docmdi.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/docview.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dpycmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dseldlg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/effects.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/fddlgcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/filectrlcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/filehistorycmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/filepickercmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/fontpickercmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/fldlgcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/fontcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/fontdata.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/graphicc.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/fontenumcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/fontmap.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/fontutilcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/framecmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/gaugecmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/gbsizer.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/gdicmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/geometry.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/gifdecod.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/graphcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/headercolcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/headerctrlcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/helpbase.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/iconbndl.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/imagall.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/imagbmp.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/image.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/imagfill.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/imaggif.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/imagiff.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/imagjpeg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/imagpcx.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/imagpng.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/imagpnm.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/imagtga.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/imagtiff.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/imagxpm.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/layout.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/lboxcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/listctrlcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/markupparser.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/matrix.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/menucmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/mousemanager.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/nbkbase.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/overlaycmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/ownerdrwcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/paper.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/panelcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/persist.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/pickerbase.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/popupcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/prntbase.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/quantize.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/radiobtncmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/radiocmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/rearrangectrl.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/rendcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/rgncmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/scrolbarcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/settcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/sizer.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/slidercmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/spinbtncmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/spinctrlcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/srchcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/statbar.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/statbmpcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/statboxcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/statlinecmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/stattextcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/stockitem.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/tbarbase.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/textcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/textentrycmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/toplvcmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/treebase.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/uiactioncmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/valgen.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/validate.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/valtext.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/valnum.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/wincmn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/windowid.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/wrapsizer.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/xpmdecod.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/busyinfo.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/buttonbar.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/choicdgg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/choicbkg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/combog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/dcpsg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/dirctrlg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/dragimgg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/filectrlg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/headerctrlg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/infobar.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/listbkg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/logg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/markuptext.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/msgdlgg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/numdlgg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/progdlgg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/printps.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/renderg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/richmsgdlgg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/scrlwing.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/selstore.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/spinctlg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/splitter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/srchctlg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/statbmpg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/stattextg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/textdlgg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/tipwin.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/toolbkg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/treectlg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/treebkg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/vlbox.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/vscroll.cpp )

if( WXVERSION_FULL VERSION_GREATER 2.9.4.0 )

    set( WXCORE_COMMON_SOURCES ${WXCORE_COMMON_SOURCES}
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/modalhook.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/textmeasurecmn.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common/utilscmn.cpp )

endif()

if( WIN32 OR MINGW )
    set( WXCORE_MACH_SOURCES
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/evtloop.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/main.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/mslu.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/volume.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/ole/activex.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/app.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/bitmap.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/brush.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/caret.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/clipbrd.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/colour.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/cursor.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/data.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/dc.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/dcclient.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/dcmemory.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/dcprint.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/dcscreen.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/dialup.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/dib.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/display.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/enhmeta.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/font.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/fontenum.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/fontutil.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/gdiimage.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/gdiobj.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/gdiplus.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/graphics.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/icon.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/imaglist.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/minifram.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/nonownedwnd.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/ole/dataobj.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/ole/dropsrc.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/ole/droptgt.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/ole/oleutils.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/palette.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/pen.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/popupwin.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/printdlg.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/printwin.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/region.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/renderer.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/settings.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/tooltip.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/toplevel.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/uiaction.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/utilsgui.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/uxtheme.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/window.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/helpchm.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/helpwin.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/ole/automtn.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/ole/uuid.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/accel.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/anybutton.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/artmsw.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/bmpbuttn.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/button.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/checkbox.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/choice.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/colordlg.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/combo.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/combobox.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/control.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/dialog.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/dirdlg.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/dragimag.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/filedlg.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/frame.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/gauge.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/headerctrl.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/iniconf.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/listbox.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/listctrl.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/mdi.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/menu.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/menuitem.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/metafile.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/msgdlg.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/nativdlg.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/nativewin.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/notebook.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/ole/access.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/ownerdrw.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/panel.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/progdlg.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/radiobox.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/radiobut.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/richmsgdlg.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/scrolbar.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/slider.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/spinbutt.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/spinctrl.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/statbmp.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/statbox.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/statusbar.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/statline.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/stattext.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/toolbar.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/textctrl.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/textentry.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/tglbtn.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/treectrl.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/checklst.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/fdrepdlg.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/fontdlg.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/version.rc )

        if( WXVERSION_FULL VERSION_GREATER 2.9.4.0 )

            set( WXCORE_COMMON_SOURCES ${WXCORE_COMMON_SOURCES}
                ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/ole/safearray.cpp
                ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/textmeasure.cpp
                ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/utilswin.cpp )

        endif()

endif()

if( NOT WXMONLITHIC )

    message( STATUS "Core Library ${WXCORENAME} will be built" )

    add_library( core ${WXCORE_COMMON_SOURCES} ${WXCORE_MACH_SOURCES} )

    add_target_definition( core WXMAKINGDLL_CORE )
    add_target_definition( core wxUSE_BASE=0 )

    if( BUILD_SHARED_LIBS )
        add_target_definition( core WXUSINGDLL )
    endif()

    set_target_properties( core
        PROPERTIES
        COMPILE_DEFINITIONS "${core_DEFINES};${WXLIB_DEFINES}"
        RUNTIME_OUTPUT_NAME "${WXCORENAME}"      # .dll
        LIBRARY_OUTPUT_NAME "${WXCORENAME}"      # .so
        ARCHIVE_OUTPUT_NAME "${WXCORENAME_A}"    # .a including .dll.a
        PREFIX "" )

    target_link_libraries( core
        ${LINKFLAGS}
        ${REQUIRED_LIBS}
        base )

endif()
