#
# Part of the wxWidgets-CMake project
#
# (c)2013 Brian Sidebotham
#
# Provided under the wxWindows licence
# http://opensource.org/licenses/wxwindows.php
# A copy of the licence can also be found in the LICENCE file
#

string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXUNICODE@@WXBUILD@_gl" WXGLNAME_A )
set( WXGLNAME ${WXGLNAME_A} )

if( BUILD_SHARED_LIBS )
    string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXVERSION_RELEASE@@WXUNICODE@@WXBUILD@_gl_@WXCOMPILER@@WXFLAVOUR@" WXGLNAME )
endif()

set( WXGL_COMMON_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dummy.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/glcmn.cpp )

if( WIN32 OR MINGW )
    set( WXGL_MACH_SOURCES
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/glcanvas.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/version.rc )
endif()

if( NOT WXMONOLITHIC )

    message( STATUS "Open GL Library ${WXGLNAME} will be built" )

    add_library( gl ${WXGL_COMMON_SOURCES} ${WXGL_MACH_SOURCES} )

    add_target_definition( gl WXMAKINGDLL_GL )

    if( BUILD_SHARED_LIBS )
        add_target_definition( gl WXUSINGDLL )
    endif()

    set_target_properties( gl
        PROPERTIES
        COMPILE_DEFINITIONS "${gl_DEFINES};${WXLIB_DEFINES}"
        RUNTIME_OUTPUT_NAME "${WXGLNAME}"      # .dll
        LIBRARY_OUTPUT_NAME "${WXGLNAME}"      # .so
        ARCHIVE_OUTPUT_NAME "${WXGLNAME_A}"    # .a including .dll.a
        PREFIX "" )

    target_link_libraries( gl
        ${LINKFLAGS}
        ${REQUIRED_LIBS}
        ${SCINTILLA_LIBS}
        core
        base
        opengl32
        glu32 )

endif()