#
# Part of the wxWidgets-CMake project
#
# (c)2013 Brian Sidebotham
#
# Provided under the wxWindows licence
# http://opensource.org/licenses/wxwindows.php
# A copy of the licence can also be found in the LICENCE file
#

string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXUNICODE@@WXBUILD@_html" WXHTMLNAME_A )
set( WXHTMLNAME ${WXHTMLNAME_A} )

if( BUILD_SHARED_LIBS )
    string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXVERSION_RELEASE@@WXUNICODE@@WXBUILD@_html_@WXCOMPILER@@WXFLAVOUR@" WXHTMLNAME )
endif()

set( WXHTML_COMMON_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dummy.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/helpctrl.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/helpdata.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/helpdlg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/helpfrm.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/helpwnd.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/htmlcell.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/htmlfilt.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/htmlpars.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/htmltag.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/htmlwin.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/htmprint.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/m_dflist.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/m_fonts.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/m_hline.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/m_image.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/m_layout.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/m_links.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/m_list.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/m_pre.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/m_span.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/m_style.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/m_tables.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/styleparams.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/html/winpars.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/generic/htmllbox.cpp )

if( WIN32 OR MINGW )
    set( WXHTML_MACH_SOURCES
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/helpbest.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/version.rc )
endif()

if( NOT WXMONOLITHIC )

    message( STATUS "HTML Library ${WXHTMLNAME} will be built" )

    add_library( html ${WXHTML_COMMON_SOURCES} ${WXHTML_MACH_SOURCES} )

    add_target_definition( html WXMAKINGDLL_HTML )

    if( BUILD_SHARED_LIBS )
        add_target_definition( html WXUSINGDLL )
    endif()

    set_target_properties( html
        PROPERTIES
        COMPILE_DEFINITIONS "${html_DEFINES};${WXLIB_DEFINES}"
        RUNTIME_OUTPUT_NAME "${WXHTMLNAME}"      # .dll
        LIBRARY_OUTPUT_NAME "${WXHTMLNAME}"      # .so
        ARCHIVE_OUTPUT_NAME "${WXHTMLNAME_A}"    # .a including .dll.a
        PREFIX "" )

    target_link_libraries( html
        ${LINKFLAGS}
        ${REQUIRED_LIBS}
        core
        base )

endif()
