#
# Part of the wxWidgets-CMake project
#
# (c)2013 Brian Sidebotham
#
# Provided under the wxWindows licence
# http://opensource.org/licenses/wxwindows.php
# A copy of the licence can also be found in the LICENCE file
#

string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXUNICODE@@WXBUILD@_media" WXMEDIANAME_A )
set( WXMEDIANAME ${WXMEDIANAME_A} )

if( BUILD_SHARED_LIBS )
    string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXVERSION_RELEASE@@WXUNICODE@@WXBUILD@_media_@WXCOMPILER@@WXFLAVOUR@" WXMEDIANAME )
endif()

set( WXMEDIA_COMMON_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dummy.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/mediactrlcmn.cpp )

if( WIN32 OR MINGW )
    set( WXMEDIA_MACH_SOURCES
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/mediactrl_am.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/mediactrl_wmp10.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/mediactrl_qt.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/version.rc )
endif()

if( NOT WXMONOLITHIC )

    message( STATUS "Media Library ${WXMEDIANAME} will be built" )

    add_library( media ${WXMEDIA_COMMON_SOURCES} ${WXMEDIA_MACH_SOURCES} )

    add_target_definition( media WXMAKINGDLL_MEDIA )

    if( BUILD_SHARED_LIBS )
        add_target_definition( media WXUSINGDLL )
    endif()

    set_target_properties( media
        PROPERTIES
        COMPILE_DEFINITIONS "${media_DEFINES};${WXLIB_DEFINES}"
        RUNTIME_OUTPUT_NAME "${WXMEDIANAME}"      # .dll
        LIBRARY_OUTPUT_NAME "${WXMEDIANAME}"      # .so
        ARCHIVE_OUTPUT_NAME "${WXMEDIANAME_A}"    # .a including .dll.a
        PREFIX "" )

    target_link_libraries( media
        ${LINKFLAGS}
        ${REQUIRED_LIBS}
        core
        base )

endif()
