#
# Part of the wxWidgets-CMake project
#
# (c)2013 Brian Sidebotham
#
# Provided under the wxWindows licence
# http://opensource.org/licenses/wxwindows.php
# A copy of the licence can also be found in the LICENCE file
#

string( CONFIGURE "wxbase@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXUNICODE@@WXBUILD@_net" WXNETNAME )
set( WXNETNAME_A ${WXNETNAME} )

if( BUILD_SHARED_LIBS )
    string( CONFIGURE "wxbase@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXVERSION_RELEASE@@WXUNICODE@@WXBUILD@_net_@WXCOMPILER@@WXFLAVOUR@" WXNETNAME )
endif()

set( WXNET_COMMON_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dummy.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/fs_inet.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/ftp.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/http.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/protocol.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/sckaddr.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/sckfile.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/sckipc.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/sckstrm.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/socket.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/url.cpp )

if( WIN32 OR MINGW )
    set( WXNET_MACH_SOURCES
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/sockmsw.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/urlmsw.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/version.rc )
endif()

if( NOT WXMONOLITHIC )

    message( STATUS "Net Library ${WXNETNAME} will be built" )

    add_library( net ${WXNET_COMMON_SOURCES} ${WXNET_MACH_SOURCES} )

    add_target_definition( net wxUSE_GUI=0 )
    add_target_definition( net WXMAKINGDLL_NET )

    if( BUILD_SHARED_LIBS )
        add_target_definition( net WXUSINGDLL )
    endif()

    set_target_properties( net
        PROPERTIES
        COMPILE_DEFINITIONS "${net_DEFINES};${WXLIB_DEFINES}"
        RUNTIME_OUTPUT_NAME "${WXNETNAME}"      # .dll
        LIBRARY_OUTPUT_NAME "${WXNETNAME}"      # .so
        ARCHIVE_OUTPUT_NAME "${WXNETNAME_A}"    # .a including .dll.a
        PREFIX "" )

    target_link_libraries( net
        ${LINKFLAGS}
        ${REQUIRED_LIBS}
        base )

endif()
