#
# Part of the wxWidgets-CMake project
#
# (c)2013 Brian Sidebotham
#
# Provided under the wxWindows licence
# http://opensource.org/licenses/wxwindows.php
# A copy of the licence can also be found in the LICENCE file
#

string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXUNICODE@@WXBUILD@_propgrid" WXPROPGRIDNAME_A )
set( WXPROPGRIDNAME ${WXPROPGRIDNAME_A} )

if( BUILD_SHARED_LIBS )
    string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXVERSION_RELEASE@@WXUNICODE@@WXBUILD@_propgrid_@WXCOMPILER@@WXFLAVOUR@" WXPROPGRIDNAME )
endif()

set( WXPROPGRID_COMMON_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dummy.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/propgrid/advprops.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/propgrid/editors.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/propgrid/manager.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/propgrid/property.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/propgrid/propgrid.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/propgrid/propgridiface.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/propgrid/propgridpagestate.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/propgrid/props.cpp )

if( WIN32 OR MINGW )
    set( WXPROPGRID_MACH_SOURCES
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/version.rc )
endif()

if( NOT WXMONOLITHIC )

    message( STATUS "Propgrid Library ${WXPROPGRIDNAME} will be built" )

    add_library( propgrid ${WXPROPGRID_COMMON_SOURCES} ${WXPROPGRID_MACH_SOURCES} )

    add_target_definition( propgrid WXMAKINGDLL_PROPGRID )

    if( BUILD_SHARED_LIBS )
        add_target_definition( propgrid WXUSINGDLL )
    endif()

    set_target_properties( propgrid
        PROPERTIES
        COMPILE_DEFINITIONS "${propgrid_DEFINES};${WXLIB_DEFINES}"
        RUNTIME_OUTPUT_NAME "${WXPROPGRIDNAME}"      # .dll
        LIBRARY_OUTPUT_NAME "${WXPROPGRIDNAME}"      # .so
        ARCHIVE_OUTPUT_NAME "${WXPROPGRIDNAME_A}"    # .a including .dll.a
        PREFIX "" )

    target_link_libraries( propgrid
        ${LINKFLAGS}
        ${REQUIRED_LIBS}
        adv
        core
        base )

endif()
