#
# Part of the wxWidgets-CMake project
#
# (c)2013 Brian Sidebotham
#
# Provided under the wxWindows licence
# http://opensource.org/licenses/wxwindows.php
# A copy of the licence can also be found in the LICENCE file
#

string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXUNICODE@@WXBUILD@_ribbon" WXRIBBONNAME_A )
set( WXRIBBONNAME ${WXRIBBONNAME_A} )

if( BUILD_SHARED_LIBS )
    string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXVERSION_RELEASE@@WXUNICODE@@WXBUILD@_ribbon_@WXCOMPILER@@WXFLAVOUR@" WXRIBBONNAME )
endif()

set( WXRIBBON_COMMON_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dummy.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/ribbon/art_internal.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/ribbon/art_msw.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/ribbon/art_aui.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/ribbon/bar.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/ribbon/buttonbar.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/ribbon/control.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/ribbon/gallery.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/ribbon/page.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/ribbon/panel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/ribbon/toolbar.cpp )

if( WIN32 OR MINGW )
    set( WXRIBBON_MACH_SOURCES
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/version.rc )
endif()

if( NOT WXMONOLITHIC )

    message( STATUS "Ribbon Library ${WXRIBBONNAME} will be built" )

    add_library( ribbon ${WXRIBBON_COMMON_SOURCES} ${WXRIBBON_MACH_SOURCES} )

    add_target_definition( ribbon WXMAKINGDLL_RIBBON )

    if( BUILD_SHARED_LIBS )
        add_target_definition( ribbon WXUSINGDLL )
    endif()

    set_target_properties( ribbon
        PROPERTIES
        COMPILE_DEFINITIONS "${ribbon_DEFINES};${WXLIB_DEFINES}"
        RUNTIME_OUTPUT_NAME "${WXRIBBONNAME}"      # .dll
        LIBRARY_OUTPUT_NAME "${WXRIBBONNAME}"      # .so
        ARCHIVE_OUTPUT_NAME "${WXRIBBONNAME_A}"    # .a including .dll.a
        PREFIX "" )

    target_link_libraries( ribbon
        ${LINKFLAGS}
        ${REQUIRED_LIBS}
        adv
        core
        base )

endif()
