#
# Part of the wxWidgets-CMake project
#
# (c)2013 Brian Sidebotham
#
# Provided under the wxWindows licence
# http://opensource.org/licenses/wxwindows.php
# A copy of the licence can also be found in the LICENCE file
#

string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXUNICODE@@WXBUILD@_richtext" WXRICHTEXTNAME_A )
set( WXRICHTEXTNAME ${WXRICHTEXTNAME_A} )

if( BUILD_SHARED_LIBS )
    string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXVERSION_RELEASE@@WXUNICODE@@WXBUILD@_richtext_@WXCOMPILER@@WXFLAVOUR@" WXRICHTEXTNAME )
endif()

set( WXRICHTEXT_COMMON_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dummy.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/richtext/richtextbuffer.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/richtext/richtextctrl.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/richtext/richtextformatdlg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/richtext/richtexthtml.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/richtext/richtextimagedlg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/richtext/richtextprint.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/richtext/richtextstyledlg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/richtext/richtextstyles.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/richtext/richtextsymboldlg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/richtext/richtextxml.cpp )

if( WIN32 OR MINGW )
    set( WXRICHTEXT_MACH_SOURCES
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/version.rc )
endif()

if( NOT WXMONOLITHIC )

    message( STATUS "Rich text Library ${WXRICHTEXTNAME} will be built" )

    add_library( richtext ${WXRICHTEXT_COMMON_SOURCES} ${WXRICHTEXT_MACH_SOURCES} )

    add_target_definition( richtext WXMAKINGDLL_RICHTEXT )

    if( BUILD_SHARED_LIBS )
        add_target_definition( richtext WXUSINGDLL )
    endif()

    set_target_properties( richtext
        PROPERTIES
        COMPILE_DEFINITIONS "${richtext_DEFINES};${WXLIB_DEFINES}"
        RUNTIME_OUTPUT_NAME "${WXRICHTEXTNAME}"      # .dll
        LIBRARY_OUTPUT_NAME "${WXRICHTEXTNAME}"      # .so
        ARCHIVE_OUTPUT_NAME "${WXRICHTEXTNAME_A}"    # .a including .dll.a
        PREFIX "" )

    target_link_libraries( richtext
        ${LINKFLAGS}
        ${REQUIRED_LIBS}
        adv
        html
        xml
        core
        base )

endif()
