#
# Part of the wxWidgets-CMake project
#
# (c)2013 Brian Sidebotham
#
# Provided under the wxWindows licence
# http://opensource.org/licenses/wxwindows.php
# A copy of the licence can also be found in the LICENCE file
#

# --- Create a simple samples target for all samples -------------------------

# This creates us an empty target which does nothing, but will allow us to
# group all of the sample executables under the one target name. It is
# excluded from the all target so that the complete set of samples is not
# built every time the libraries are built

add_custom_target( samples )

# --- Setup the common linker flags for all samples --------------------------

if( WIN32 )
    set( IS_WIN32_EXE "WIN32" )
else()
    set( IS_WIN32_EXE "" )
endif()

# --- Splitter Sample --------------------------------------------------------

add_executable( sample_splitter ${IS_WIN32_EXE} EXCLUDE_FROM_ALL
    ${PROJECT_SOURCE_DIR}/samples/splitter/splitter.cpp
    ${PROJECT_SOURCE_DIR}/samples/sample.rc    )

if( BUILD_SHARED_LIBS )
    add_target_definition( sample_splitter WXUSINGDLL )
endif()

add_dependencies( samples sample_splitter )

set_target_properties( sample_splitter
    PROPERTIES
    COMPILE_DEFINITIONS "${sample_splitter_DEFINES}" )

target_link_libraries( sample_splitter
    ${REQUIRED_LIBS}
    base
    core )

# --- Minimal Sample ---------------------------------------------------------

add_executable( sample_minimal ${IS_WIN32_EXE} EXCLUDE_FROM_ALL
    ${PROJECT_SOURCE_DIR}/samples/minimal/minimal.cpp
    ${PROJECT_SOURCE_DIR}/samples/sample.rc    )

if( BUILD_SHARED_LIBS )
    add_target_definition( sample_minimal WXUSINGDLL )
endif()

add_dependencies( samples sample_minimal )

set_target_properties( sample_minimal
    PROPERTIES
    COMPILE_DEFINITIONS "${sample_minimal_DEFINES}" )

target_link_libraries( sample_minimal
    ${REQUIRED_LIBS}
    base
    core )

# --- STC Sample ---------------------------------------------------------

add_executable( sample_stc ${IS_WIN32_EXE} EXCLUDE_FROM_ALL
    ${PROJECT_SOURCE_DIR}/samples/stc/stctest.cpp
    ${PROJECT_SOURCE_DIR}/samples/stc/edit.cpp
    ${PROJECT_SOURCE_DIR}/samples/stc/prefs.cpp
    ${PROJECT_SOURCE_DIR}/samples/sample.rc    )

if( BUILD_SHARED_LIBS )
    add_target_definition( sample_stc WXUSINGDLL )
endif()

add_dependencies( samples sample_stc )

set_target_properties( sample_stc
    PROPERTIES
    COMPILE_DEFINITIONS "${sample_stc_DEFINES}" )

target_link_libraries( sample_stc
    ${REQUIRED_LIBS}
    stc
    base
    core )
