#
# Part of the wxWidgets-CMake project
#
# (c)2013 Brian Sidebotham
#
# Provided under the wxWindows licence
# http://opensource.org/licenses/wxwindows.php
# A copy of the licence can also be found in the LICENCE file
#

set( SCINTILLA_NAME wxscintilla${WXBUILD} )

include_directories(
    ${PROJECT_SOURCE_DIR}/src/stc/scintilla/include
    ${PROJECT_SOURCE_DIR}/src/stc/scintilla/lexlib
    ${PROJECT_SOURCE_DIR}/src/stc/scintilla/src
    ${PROJECT_SOURCE_DIR}/include )

file( GLOB_RECURSE SCINTILLA_SOURCES "${PROJECT_SOURCE_DIR}/src/stc/scintilla/*.cxx" )

add_library( ${SCINTILLA_NAME} STATIC ${SCINTILLA_SOURCES} )

add_target_definition( ${SCINTILLA_NAME} SCI_LEXER )
add_target_definition( ${SCINTILLA_NAME} LINK_LEXERS )
add_target_definition( ${SCINTILLA_NAME} __WX__ )
add_target_definition( ${SCINTILLA_NAME} __WXMSW__ )

if( BUILD_SHARED_LIBS )
    add_target_definition( ${SCINTILLA_NAME} WXUSINGDLL )
endif()

set_target_properties( ${SCINTILLA_NAME}
    PROPERTIES
    COMPILE_DEFINITIONS "${${SCINTILLA_NAME}_DEFINES}" )

set( SCINTILLA_LIBS ${SCINTILLA_NAME} )
set( SCINTILLA_INCLUDE_DIRS
    ${PROJECT_SOURCE_DIR}/src/stc/scintilla/include
    ${PROJECT_SOURCE_DIR}/src/stc/scintilla/src )
