#
# Part of the wxWidgets-CMake project
#
# (c)2013 Brian Sidebotham
#
# Provided under the wxWindows licence
# http://opensource.org/licenses/wxwindows.php
# A copy of the licence can also be found in the LICENCE file
#

string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXUNICODE@@WXBUILD@_stc" WXSTCNAME_A )
set( WXSTCNAME ${WXSTCNAME_A} )

if( BUILD_SHARED_LIBS )
    string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXVERSION_RELEASE@@WXUNICODE@@WXBUILD@_stc_@WXCOMPILER@@WXFLAVOUR@" WXSTCNAME )
endif()

include_directories( ${SCINTILLA_INCLUDE_DIRS} )

set( WXSTC_COMMON_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dummy.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/stc/stc.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/stc/PlatWX.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/stc/ScintillaWX.cpp )

if( WIN32 OR MINGW )
    set( WXSTC_MACH_SOURCES
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/version.rc )
endif()

if( NOT WXMONOLITHIC )

    message( STATUS "STC Library ${WXSTCNAME} will be built" )

    add_library( stc ${WXSTC_COMMON_SOURCES} ${WXSTC_MACH_SOURCES} )

    add_target_definition( stc SCI_LEXER )
    add_target_definition( stc LINK_LEXERS )
    add_target_definition( stc WXMAKINGDLL_STC )

    if( BUILD_SHARED_LIBS )
        add_target_definition( stc WXUSINGDLL )
    endif()

    set_target_properties( stc
        PROPERTIES
        COMPILE_DEFINITIONS "${stc_DEFINES};${WXLIB_DEFINES}"
        RUNTIME_OUTPUT_NAME "${WXSTCNAME}"      # .dll
        LIBRARY_OUTPUT_NAME "${WXSTCNAME}"      # .so
        ARCHIVE_OUTPUT_NAME "${WXSTCNAME_A}"    # .a including .dll.a
        PREFIX "" )

    target_link_libraries( stc
        ${LINKFLAGS}
        ${REQUIRED_LIBS}
        ${SCINTILLA_LIBS}
        core
        base )

endif()
