#
# Part of the wxWidgets-CMake project
#
# (c)2013 Brian Sidebotham
#
# Provided under the wxWindows licence
# http://opensource.org/licenses/wxwindows.php
# A copy of the licence can also be found in the LICENCE file
#

include_directories(
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff
    ${PROJECT_SOURCE_DIR}/src/jpeg )

set( TIFF_NAME wxtiff${WXBUILD} )

if( WIN32 OR MINGW )
    set( TIFF_MACHINE_SOURCES
        ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_win32.c )
endif()

set( TIFF_SOURCES
    ${TIFF_MACHINE_SOURCES}
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_aux.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_close.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_codec.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_color.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_compress.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_dir.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_dirinfo.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_dirread.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_dirwrite.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_dumpmode.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_error.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_extension.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_fax3.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_fax3sm.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_flush.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_getimage.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_jpeg.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_luv.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_lzw.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_next.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_ojpeg.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_open.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_packbits.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_pixarlog.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_predict.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_print.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_read.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_strip.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_swab.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_thunder.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_tile.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_version.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_warning.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_write.c
    ${PROJECT_SOURCE_DIR}/src/tiff/libtiff/tif_zip.c
    )

add_library( ${TIFF_NAME} STATIC ${TIFF_SOURCES} )

set( TIFF_LIBS ${TIFF_NAME} )
set( TIFF_INCLUDE_DIRS ${PROJECT_SOURCE_DIR}/src/tiff/libtiff )
