#
# Part of the wxWidgets-CMake project
#
# (c)2013 Brian Sidebotham
#
# Provided under the wxWindows licence
# http://opensource.org/licenses/wxwindows.php
# A copy of the licence can also be found in the LICENCE file
#

string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXUNICODE@@WXBUILD@_webview" WXWEBVIEWNAME_A )
set( WXWEBVIEWNAME ${WXWEBVIEWNAME_A} )

if( BUILD_SHARED_LIBS )
    string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXVERSION_RELEASE@@WXUNICODE@@WXBUILD@_webview_@WXCOMPILER@@WXFLAVOUR@" WXWEBVIEWNAME )
endif()

set( WXWEBVIEW_COMMON_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dummy.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/webview.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/webviewarchivehandler.cpp )

if( WIN32 OR MINGW )
    set( WXWEBVIEW_MACH_SOURCES
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/webview_ie.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/version.rc )
endif()

if( NOT WXMONOLITHIC )

    message( STATUS "Webview Library ${WXWEBVIEWNAME} will be built" )

    add_library( webview ${WXWEBVIEW_COMMON_SOURCES} ${WXWEBVIEW_MACH_SOURCES} )

    add_target_definition( webview WXMAKINGDLL_WEBVIEW )

    if( BUILD_SHARED_LIBS )
        add_target_definition( webview WXUSINGDLL )
    endif()

    set_target_properties( webview
        PROPERTIES
        COMPILE_DEFINITIONS "${webview_DEFINES};${WXLIB_DEFINES}"
        RUNTIME_OUTPUT_NAME "${WXWEBVIEWNAME}"      # .dll
        LIBRARY_OUTPUT_NAME "${WXWEBVIEWNAME}"      # .so
        ARCHIVE_OUTPUT_NAME "${WXWEBVIEWNAME_A}"    # .a including .dll.a
        PREFIX "" )

    target_link_libraries( webview
        ${LINKFLAGS}
        ${REQUIRED_LIBS}
        core
        base )

endif()
