#
# Part of the wxWidgets-CMake project
#
# (c)2013 Brian Sidebotham
#
# Provided under the wxWindows licence
# http://opensource.org/licenses/wxwindows.php
# A copy of the licence can also be found in the LICENCE file
#

string( CONFIGURE "wxbase@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXUNICODE@@WXBUILD@_xml" WXXMLNAME_A )
set( WXXMLNAME ${WXXMLNAME_A} )

if( BUILD_SHARED_LIBS )
    string( CONFIGURE "wxbase@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXVERSION_RELEASE@@WXUNICODE@@WXBUILD@_xml_@WXCOMPILER@@WXFLAVOUR@" WXXMLNAME )
endif()

set( WXXML_COMMON_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dummy.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xml/xml.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/xtixml.cpp )

if( WIN32 OR MINGW )
    set( WXXML_MACH_SOURCES "" )
endif()

if( NOT WXMONOLITHIC )

    message( STATUS "XML Library ${WXXMLNAME} will be built" )

    add_library( xml ${WXXML_COMMON_SOURCES} ${WXXML_MACH_SOURCES} )

    add_target_definition( xml wxUSE_GUI=0 )
    add_target_definition( xml WXMAKINGDLL_XML )

    if( BUILD_SHARED_LIBS )
        add_target_definition( xml WXUSINGDLL )
    endif()

    set_target_properties( xml
        PROPERTIES
        COMPILE_DEFINITIONS "${xml_DEFINES};${WXLIB_DEFINES}"
        RUNTIME_OUTPUT_NAME "${WXXMLNAME}"      # .dll
        LIBRARY_OUTPUT_NAME "${WXXMLNAME}"      # .so
        ARCHIVE_OUTPUT_NAME "${WXXMLNAME_A}"    # .a including .dll.a
        PREFIX "" )

    target_link_libraries( xml
        ${LINKFLAGS}
        ${REQUIRED_LIBS}
        base )

endif()
