#
# Part of the wxWidgets-CMake project
#
# (c)2013 Brian Sidebotham
#
# Provided under the wxWindows licence
# http://opensource.org/licenses/wxwindows.php
# A copy of the licence can also be found in the LICENCE file
#

string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXUNICODE@@WXBUILD@_xrc" WXXRCNAME_A )
set( WXXRCNAME ${WXXRCNAME_A} )

if( BUILD_SHARED_LIBS )
    string( CONFIGURE "wx@WXSYSTEM@@WXVERSION_MAJOR@@WXVERSION_MINOR@@WXVERSION_RELEASE@@WXUNICODE@@WXBUILD@_xrc_@WXCOMPILER@@WXFLAVOUR@" WXXRCNAME )
endif()

set( WXXRC_COMMON_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/src/common/dummy.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_animatctrl.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_bannerwindow.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_bmp.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_bmpcbox.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_bmpbt.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_bttn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_cald.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_chckb.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_chckl.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_choic.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_choicbk.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_clrpicker.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_cmdlinkbn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_collpane.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_combo.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_comboctrl.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_datectrl.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_dirpicker.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_dlg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_editlbox.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_filectrl.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_filepicker.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_fontpicker.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_frame.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_gauge.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_gdctl.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_grid.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_html.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_hyperlink.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_listb.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_listbk.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_listc.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_mdi.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_menu.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_notbk.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_odcombo.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_panel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_propdlg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_radbt.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_radbx.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_scrol.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_scwin.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_htmllbox.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_sizer.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_slidr.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_spin.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_split.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_srchctrl.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_statbar.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_stbmp.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_stbox.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_stlin.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_sttxt.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_text.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_tglbtn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_timectrl.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_toolb.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_toolbk.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_tree.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_treebk.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_unkwn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xh_wizrd.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xmlres.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xmladv.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xmlrsall.cpp )

if( WXVERSION_FULL VERSION_GREATER 2.9.4.0 )

    set( WXXRC_COMMON_SOURCES ${WXXRC_COMMON_SOURCES}
        ${CMAKE_CURRENT_SOURCE_DIR}/src/xrc/xmlreshandler.cpp )

endif()

if( WIN32 OR MINGW )
    set( WXXRC_MACH_SOURCES
        ${CMAKE_CURRENT_SOURCE_DIR}/src/msw/version.rc )
endif()

if( NOT WXMONOLITHIC )

    message( STATUS "XRC Library ${WXXRCNAME} will be built" )

    add_library( xrc ${WXXRC_COMMON_SOURCES} ${WXXRC_MACH_SOURCES} )

    add_target_definition( xrc WXMAKINGDLL_XRC )

    if( BUILD_SHARED_LIBS )
        add_target_definition( xrc WXUSINGDLL )
    endif()

    set_target_properties( xrc
        PROPERTIES
        COMPILE_DEFINITIONS "${xrc_DEFINES};${WXLIB_DEFINES}"
        RUNTIME_OUTPUT_NAME "${WXXRCNAME}"      # .dll
        LIBRARY_OUTPUT_NAME "${WXXRCNAME}"      # .so
        ARCHIVE_OUTPUT_NAME "${WXXRCNAME_A}"    # .a including .dll.a
        PREFIX "" )

    target_link_libraries( xrc
        ${LINKFLAGS}
        ${REQUIRED_LIBS}
        html
        adv
        core
        xml
        base )

endif()
