REM
REM This batch file is used to generate wxWidgets builds on Windows, for
REM Windows. We cannot support cross-compiling for Linux.
REM
REM The Linux script supports building wxWidgets for Linux (GTK) and
REM Windows (GCC versions at least)
REM
REM NOTE: In order to build vc_ configurations, you must execute this batch
REM       file from a Visual Studio Developer prompt, or else have nmake and
REM       cl in your global path


IF EXIST build_gcc_dll GOTO B_GCC_DLL
mkdir build_gcc_dll
:B_GCC_DLL
cd build_gcc_dll
call ..\configs\configure-python-gcc_dll.bat
mingw32-make package > build_log.txt 2>&1
cd ..

IF EXIST build_gcc_dll_debug GOTO B_GCC_DLL_DBG
mkdir build_gcc_dll_debug
:B_GCC_DLL_DBG
cd build_gcc_dll_debug
call ..\configs\configure-python-gcc_dll-debug.bat
mingw32-make package > build_log.txt 2>&1
cd ..

IF EXIST build_vc_dll GOTO B_VC_DLL
mkdir build_vc_dll
:B_VC_DLL
cd build_vc_dll
call ..\configs\configure-python-nmake-vc_dll.bat
nmake package > build_log.txt 2>&1
cd ..

IF EXIST build_vc_dll_debug GOTO B_VC_DLL_DBG
mkdir build_vc_dll_debug
:B_VC_DLL_DBG
cd build_vc_dll_debug
call ..\configs\configure-python-nmake-vc_dll-debug.bat
nmake package > build_log.txt 2>&1
cd ..

bzr export wxPython-cmake-2.9.4-src.zip
bzr export wxPython-cmake-2.9.4-src.tar.bz2